com.smartgwt.client.types

## Enum SortDirection

- java.lang.Object
- - java.lang.Enum<SortDirection>
  - - com.smartgwt.client.types.SortDirection

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SortDirection>

      public enum SortDirection
      extends java.lang.Enum<SortDirection>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Sort in ascending order (eg: A-Z, larger items later in the list)
    `DESCENDING` Sort in descending order (eg: Z-A, larger items earlier in the list)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SortDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SortDirection ASCENDING

      Sort in ascending order (eg: A-Z, larger items later in the list)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ascending".

    - #### DESCENDING

          public static final SortDirection DESCENDING

      Sort in descending order (eg: Z-A, larger items earlier in the list)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "descending".

  - ### Method Detail

    - #### values

          public static SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortDirection c : SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`